{
    attributes = (
        {
            columnName = "RJL_ID"; 
            externalType = NUMBER; 
            name = rjlId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "RJLTE_ID"; 
            externalType = NUMBER; 
            name = rjtleId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEX_ID"; 
            externalType = NUMBER; 
            name = texId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (rjlId, rjtleId, texId); 
    className = "org.cocktail.fwkcktlreport.server.metier.EORapportJxlsTex"; 
    classProperties = (toRapportJxls, toTypeExport); 
    externalName = "cktl_report.RAPPORT_JXLS_TEX"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkCktlReport_RapportJxlsTex"; 
    primaryKeyAttributes = (rjtleId); 
    relationships = (
        {
            destination = "FwkCktlReport_RapportJxls"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = rjlId; sourceAttribute = rjlId; }); 
            name = toRapportJxls; 
        }, 
        {
            destination = "FwkCktlReport_TypeExport"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = texId; sourceAttribute = texId; }); 
            name = toTypeExport; 
        }
    ); 
}
